Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
ACG::SceneGraph::ACG::Texture2D Class Reference
Inheritance diagram for ACG::SceneGraph::ACG::Texture2D:

## Public Member Functions
| Texture2D (GLenum unit=GL_NONE)
bool | autogenerateMipMaps ()
void | disableAutogenerateMipMaps ()
void | setData (GLint _level, GLint _internalFormat, GLsizei _width, GLsizei _height, GLenum _format, GLenum _type, const GLvoid *_data)
void | setStorage (GLsizei _levels, GLenum _internalFormat, GLsizei _width, GLsizei _height)
bool | loadFromFile (const std::string &_filename, GLenum _minFilter=GL_NEAREST_MIPMAP_LINEAR, GLenum _magFilter=GL_LINEAR)
void | loadRandom (GLint _internalFormat, GLsizei _width, GLsizei _height)
GLsizei | getWidth () const
GLsizei | getHeight () const
GLenum | getFormat () const
GLenum | getType () const
bool | getData (GLint _level, void *_dst)
bool | getData (GLint _level, std::vector< char > &_dst)
Public Member Functions inherited from ACG::SceneGraph::ACG::Texture
| Texture (GLenum tgt, GLenum _unit=GL_NONE)
void | bind (GLenum _unit)
void | activate (GLenum _unit)
void | bind ()
void | activate ()
void | parameter (GLenum pname, GLint i)
void | parameter (GLenum pname, GLfloat f)
void | parameter (GLenum pname, GLint *ip)
void | parameter (GLenum pname, GLfloat *fp)
void | enable ()
void | disable ()
void | del ()
void | gen ()
bool | is_valid () const
GLuint | id () const
void | setUnit (GLenum u)
GLenum | getUnit () const
GLenum | getTarget () const
GLint | getInternalFormat ()
bool | clear (const ACG::Vec4f &_color)
bool | clear (const ACG::Vec4i &_color)
bool | clear (const ACG::Vec4ui &_color)
void | bindAsImage (GLuint _index, GLenum _access)

## Static Public Member Functions
static bool | checkTextureMem (GLenum _internalFormat, GLsizei _width, GLsizei _height, GLenum _format)
Static Public Member Functions inherited from ACG::SceneGraph::ACG::Texture
static bool | supportsImageLoadStore ()
static bool | supportsTextureBuffer ()
static bool | supportsClearTexture ()
static bool | supportsGenerateMipmap ()

## Private Member Functions
void | buildMipMaps (GLenum _internalfmt, GLint _width, GLint _height, GLenum _format, GLenum _type, const void *_data)

## Private Attributes
GLsizei | width_
GLsizei | height_
GLenum | format_
GLenum | type_
bool | buildMipsCPU_

## Additional Inherited Members
Protected Attributes inherited from ACG::SceneGraph::ACG::Texture
GLint | internalFormat_

## Detailed Description

Definition at line 400 of file MeshNode2T.cc.

The documentation for this class was generated from the following file:

- ACG/Scenegraph/MeshNode2T.cc